function insertValueToNode(target, value) {
    let nodeList = []
    switch (target) {
        case 'personal_id':
            nodeList = document.querySelectorAll('*[name*="personal_id"]')
            break
        case 'iban':
            nodeList = document.querySelectorAll('*[name*="bankaccount"]')
            break
        case 'phone':
            nodeList = document.querySelectorAll('*[name*="phone"]')
            break
        case 'first_name':
            nodeList = document.querySelectorAll('*[name*="first_name"]')
            break
        case 'last_name':
            nodeList = document.querySelectorAll('*[name*="last_name"]')
            break
    }
    for (const node of nodeList) {
        node.value = value
    }
}

chrome.runtime.onMessage.addListener(
    function(autocompleteDTO, sender, sendResponse) {
        insertValueToNode(autocompleteDTO.target || null, autocompleteDTO.value || '')
    }
);
